Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbw
Class SbwServiceMethod

    java.lang.Object
      biouml.plugins.sbw.SbwServiceMethod

All Implemented Interfaces:
  DataElement

public class SbwServiceMethod
extends java.lang.Object
implements DataElement

Field Summary
`protected static org.apache.log4j.Category` | `cat`
`protected edu.caltech.sbw.ServiceMethod` | `method`
`protected SbwService` | `service`

Constructor Summary
`SbwServiceMethod(SbwService service, edu.caltech.sbw.ServiceMethod method)`

Method Summary
`static java.lang.Object` | `convertArg(java.lang.Object arg, edu.caltech.sbw.SignatureType desired)` Converts JavaScript function argument into SBW method argument.
`protected static java.lang.Object` | `convertArray(java.lang.Object arg, edu.caltech.sbw.SignatureType elementType)` Converts JavaScript `NativeArray` to Java array.
`java.lang.String` | `getHelp()`
`java.lang.String` | `getName()` Returns a unique name of the data element.
`DataCollection` | `getOrigin()` Returns the collection this element belongs to.
`java.lang.String` | `getSignatureString()`
`static java.lang.Object` | `invoke(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, java.lang.Object[] args, org.mozilla.javascript.Function funObj)`
`java.lang.Object` | `invoke(java.lang.Object[] params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cat

    protected static org.apache.log4j.Category cat

### service

    protected SbwService service

### method

    protected edu.caltech.sbw.ServiceMethod method

Constructor Detail

### SbwServiceMethod

    public SbwServiceMethod(SbwService service,
                            edu.caltech.sbw.ServiceMethod method)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `DataElement`
  Returns a unique name of the data element.

  Specified by:
    `getName` in interface `DataElement`
  Returns:
    A unique name of the data element.

### getOrigin

    public DataCollection getOrigin()

  Description copied from interface: `DataElement`
  Returns the collection this element belongs to. Since the element can be contained in several collections this should return application-specific main parent collection.

  Specified by:
    `getOrigin` in interface `DataElement`
  See Also:
    `DataCollection`

### getSignatureString

    public java.lang.String getSignatureString()

### getHelp

    public java.lang.String getHelp()

### invoke

    public java.lang.Object invoke(java.lang.Object[] params)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### invoke

    public static java.lang.Object invoke(org.mozilla.javascript.Context cx,
                                          org.mozilla.javascript.Scriptable thisObj,
                                          java.lang.Object[] args,
                                          org.mozilla.javascript.Function funObj)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### convertArg

    public static java.lang.Object convertArg(java.lang.Object arg,
                                              edu.caltech.sbw.SignatureType desired)

  Converts JavaScript function argument into SBW method argument.

  Pendung:
    DataBlockWriter.ARRAY_TYPE, DataBlockWriter.LIST_TYPE

### convertArray

    protected static java.lang.Object convertArray(java.lang.Object arg,
                                                   edu.caltech.sbw.SignatureType elementType)

  Converts JavaScript `NativeArray` to Java array.

  Pendung:
    - process 2D arrays, - list, - possibly we should convert JavaNativeArray elements to desired type

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.